## kate 25.08.2+p24.04+vunstable+git20251020.1306

=== apps/kate/CMakeLists.txt ===
# Kate application
add_executable(kate-bin
    ${CMAKE_SOURCE_DIR}/3rdparty/SingleApplication/singleapplication.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/SingleApplication/singleapplication_p.cpp
    main.cpp
    data/kate.qrc)

# we use SingleApplication without letting it inherit from QApplication
target_compile_definitions(kate-bin PRIVATE -DQAPPLICATION_CLASS=FreeStandingSingleApplication)

# add dbus support class if needed
if(WITH_DBUS)
    target_sources(kate-bin PRIVATE katewaiter.cpp)
endif()

target_link_libraries(kate-bin PRIVATE kateprivate)

# X11 startup handling
if (UNIX AND NOT APPLE)
    target_link_libraries(kate-bin PRIVATE Qt::GuiPrivate)
endif()

# ensure right translations domain, we use one kate.po(t) for lib + apps
target_compile_definitions(kate-bin PRIVATE TRANSLATION_DOMAIN="kate")

# we have different windows icons, less margins
set(ICONS_FOLDER ${CMAKE_CURRENT_SOURCE_DIR}/icons/unix)
if(WIN32)
    set(ICONS_FOLDER ${CMAKE_CURRENT_SOURCE_DIR}/icons/windows)
endif()

# application icon, in all sizes needed to have e.g. nice Windows icons, too
set(ICON_FILES
  ${ICONS_FOLDER}/sc-apps-kate.svg
  ${ICONS_FOLDER}/16-apps-kate.png
  ${ICONS_FOLDER}/22-apps-kate.png
  ${ICONS_FOLDER}/32-apps-kate.png
  ${ICONS_FOLDER}/44-apps-kate.png
  ${ICONS_FOLDER}/48-apps-kate.png
  ${ICONS_FOLDER}/64-apps-kate.png
  ${ICONS_FOLDER}/128-apps-kate.png
  ${ICONS_FOLDER}/150-apps-kate.png
  ${ICONS_FOLDER}/256-apps-kate.png
  ${ICONS_FOLDER}/310-apps-kate.png
  ${ICONS_FOLDER}/512-apps-kate.png
)

# Add icon files to the application's source files to have CMake bundle them in the executable.
ecm_add_app_icon(ICONS_SOURCES ICONS ${ICON_FILES})
target_sources(kate-bin PRIVATE ${ICONS_SOURCES})

set_property(
  TARGET kate-bin
  PROPERTY OUTPUT_NAME kate
)

# See https://cmake.org/cmake/help/v3.15/prop_tgt/MACOSX_BUNDLE_INFO_PLIST.html
if(APPLE)
  set_property(
    TARGET kate-bin
    PROPERTY MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/data/MacOSXBundleInfo.plist.in
  )

  # These are substituted by CMake into plist.in.
  set(MACOSX_BUNDLE_DISPLAY_NAME "Kate")
  set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Kate")
  set(MACOSX_BUNDLE_BUNDLE_NAME "Kate")
  set(MACOSX_BUNDLE_DISPLAY_NAME "Kate")
  set(MACOSX_BUNDLE_INFO_STRING "Kate - Advanced Text Editor")
  set(MACOSX_BUNDLE_LONG_VERSION_STRING "Kate ${RELEASE_SERVICE_VERSION}")
  set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}")
  set(MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}")
  set(MACOSX_BUNDLE_COPYRIGHT "2000-2025 The Kate Authors")
endif()

install(TARGETS kate-bin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_install_icons(
  ICONS ${ICON_FILES}
  DESTINATION ${KDE_INSTALL_ICONDIR}
  THEME hicolor
)

install(
  PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kate.desktop
  DESTINATION ${KDE_INSTALL_APPDIR}
)

install(
  FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kate.appdata.xml
  DESTINATION ${KDE_INSTALL_METAINFODIR}
)

=== debian/changelog ===
kate (4:25.08.2+p24.04+vunstable+git20251020.1306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 13:06:56 +0000

## kate 25.08.2+p24.04+vunstable+git20251021.0508

=== CMakeLists.txt ===
# 3.16 is required for the ECM version we require
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "11")
set(RELEASE_SERVICE_VERSION_MICRO "70")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kate VERSION ${RELEASE_SERVICE_VERSION})

# KF6 only
set(QT_MIN_VERSION "6.5.0")
set(KF6_DEP_VERSION "6.0.0")
set(QT_MAJOR_VERSION "6")

# use C++20 like KF6 itself
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

# We need some parts of the ECM CMake helpers.
find_package(ECM ${KF6_DEP_VERSION} QUIET REQUIRED NO_MODULE)

# We append to the module path so modules can be overridden from the command line.
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMOptionalAddSubdirectory)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMDeprecationSettings)

include(FeatureSummary)
include(FindIntl)

# Required here so that the version comparison below works
find_package(Qt6Widgets ${QT_MIN_VERSION} CONFIG REQUIRED)
find_package(Qt6Concurrent ${QT_MIN_VERSION} CONFIG REQUIRED)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
   find_package(Qt6GuiPrivate ${QT_MIN_VERSION} REQUIRED NO_MODULE)
endif()

# Required here so that the ki18n_install/kdoctools_install calls work.
find_package(KF6 ${KF6_DEP_VERSION}
    REQUIRED COMPONENTS
        I18n
        CoreAddons
        GuiAddons
        Crash
        IconThemes
        TextEditor
    OPTIONAL_COMPONENTS
        DocTools
)

if (NOT WIN32 AND NOT HAIKU)
    find_package(Intl)
    set_package_properties(Intl PROPERTIES TYPE REQUIRED
        URL "http://gnuwin32.sourceforge.net/packages/libintl.htm"
        PURPOSE "Needed for building kate unless glibc is the system libc implementation"
    )
endif()

# define which offscreen platform plugin to use for tests
# windows has issues with offscreen tests in the CI
set(OFFSCREEN_QPA)
if(NOT WIN32)
    set(OFFSCREEN_QPA "-platform" "offscreen")
endif()

# deprecation options
ecm_set_disabled_deprecation_versions(
    QT 6.9
    KF 6.16.0
)

option(ENABLE_PCH "Enable PCH support" ON)
if (ENABLE_PCH)
    add_subdirectory(pch)
endif()

# addons for Kate
ecm_optional_add_subdirectory(addons)

# the Kate & KWrite applications
ecm_optional_add_subdirectory(apps)

# our documentation
ecm_optional_add_subdirectory(doc)

ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== apps/kwrite/CMakeLists.txt ===
# KWrite application
add_executable(kwrite main.cpp data/kwrite.qrc)
target_link_libraries(kwrite PRIVATE kateprivate)

# ensure right translations domain, we use one kate.po(t) for lib + apps
target_compile_definitions(kwrite PRIVATE TRANSLATION_DOMAIN="kate")

# application icon, in all sizes needed to have e.g. nice Windows icons, too
set(ICONS_FOLDER ${CMAKE_CURRENT_SOURCE_DIR}/icons)
set(ICON_FILES
    ${ICONS_FOLDER}/sc-apps-kwrite.svg
    ${ICONS_FOLDER}/16-apps-kwrite.png
    ${ICONS_FOLDER}/22-apps-kwrite.png
    ${ICONS_FOLDER}/32-apps-kwrite.png
    ${ICONS_FOLDER}/44-apps-kwrite.png
    ${ICONS_FOLDER}/48-apps-kwrite.png
    ${ICONS_FOLDER}/64-apps-kwrite.png
    ${ICONS_FOLDER}/128-apps-kwrite.png
    ${ICONS_FOLDER}/150-apps-kwrite.png
    ${ICONS_FOLDER}/256-apps-kwrite.png
    ${ICONS_FOLDER}/310-apps-kwrite.png
    ${ICONS_FOLDER}/512-apps-kwrite.png
)

# Add icon files to the application's source files to have CMake bundle them in the executable.
ecm_add_app_icon(ICONS_SOURCES ICONS ${ICON_FILES})
target_sources(kwrite PRIVATE ${ICONS_SOURCES})

# See https://cmake.org/cmake/help/v3.15/prop_tgt/MACOSX_BUNDLE_INFO_PLIST.html
if(APPLE)
  set_property(
    TARGET kwrite
    PROPERTY MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/data/MacOSXBundleInfo.plist.in
  )

  # These are substituted by CMake into plist.in.
  set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.KWrite")
  set(MACOSX_BUNDLE_BUNDLE_NAME "KWrite")
  set(MACOSX_BUNDLE_DISPLAY_NAME "KWrite")
  set(MACOSX_BUNDLE_INFO_STRING "KWrite - Text Editor")
  set(MACOSX_BUNDLE_LONG_VERSION_STRING "KWrite ${RELEASE_SERVICE_VERSION}")
  set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}")
  set(MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}")
  set(MACOSX_BUNDLE_COPYRIGHT "2000-2025 The KWrite Authors")
endif()

install(TARGETS kwrite ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_install_icons(
    ICONS ${ICON_FILES}
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

install(
  FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kwrite.desktop
  DESTINATION ${KDE_INSTALL_APPDIR}
)

install(
  FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kwrite.appdata.xml
  DESTINATION ${KDE_INSTALL_METAINFODIR}
)

=== debian/changelog ===
kate (4:25.08.2+p24.04+vunstable+git20251021.0508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:08:35 +0000

## kate 25.08.2+p24.04+vunstable+git20251024.0229

=== debian/changelog ===
kate (4:25.08.2+p24.04+vunstable+git20251024.0229-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:29:39 +0000

## kate 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kate VERSION ${RELEASE_SERVICE_VERSION})
@@ -78,7 +78,7 @@
 # deprecation options
 ecm_set_disabled_deprecation_versions(
     QT 6.9
-    KF 6.16.0
+    KF 6.12.0
 )
 
 option(ENABLE_PCH "Enable PCH support" ON)

=== addons/filetree/CMakeLists.txt ===
kate_add_plugin(katefiletreeplugin)

target_compile_definitions(katefiletreeplugin PRIVATE TRANSLATION_DOMAIN="katefiletree")

target_link_libraries(
  katefiletreeplugin
  PUBLIC
    kateprivate
    KF6::I18n
    KF6::TextEditor
    KF6::GuiAddons
)

target_sources(
  katefiletreeplugin
  PRIVATE
    katefiletree.cpp
    katefiletreeconfigpage.cpp
    katefiletreemodel.cpp
    katefiletreeplugin.cpp
    katefiletreepluginsettings.cpp
    katefiletreeproxymodel.cpp
    plugin.qrc
)

if (ENABLE_PCH)
    target_precompile_headers(katefiletreeplugin REUSE_FROM katepch)
endif()

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

=== addons/format/CMakeLists.txt ===
kate_add_plugin(formatplugin)
target_compile_definitions(formatplugin PRIVATE TRANSLATION_DOMAIN="formatplugin")
target_link_libraries(formatplugin PRIVATE KF6::TextEditor kateprivate)

target_sources(
  formatplugin
  PRIVATE
    FormatPlugin.cpp
    Formatters.cpp
    FormatConfig.cpp
    plugin.qrc
)

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

if (ENABLE_PCH)
    target_precompile_headers(formatplugin REUSE_FROM katepch)
endif()

=== addons/katebuild-plugin/CMakeLists.txt ===
kate_add_plugin(katebuildplugin)
target_compile_definitions(katebuildplugin PRIVATE TRANSLATION_DOMAIN="katebuild-plugin")
target_link_libraries(katebuildplugin PRIVATE KF6::I18n KF6::TextEditor kateprivate)

ki18n_wrap_ui(katebuildplugin build.ui buildconfigwidget.ui)

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(
  DEBUG_SOURCES
  HEADER kate_buildplugin_debug.h
  IDENTIFIER KTEBUILD
  CATEGORY_NAME "katebuildplugin"
)

target_sources(
  katebuildplugin
  PRIVATE
    plugin_katebuild.cpp
    targets.cpp
    TargetHtmlDelegate.cpp
    TargetModel.cpp
    UrlInserter.cpp
    TargetFilterProxyModel.cpp
    AppOutput.cpp
    buildconfig.cpp
    plugin.qrc
    qcmakefileapi.cpp
    ${DEBUG_SOURCES}
)

if (ENABLE_PCH)
    target_precompile_headers(katebuildplugin REUSE_FROM katepch)
endif()

=== addons/project/CMakeLists.txt ===
kate_add_plugin(kateprojectplugin)
target_compile_definitions(kateprojectplugin PRIVATE TRANSLATION_DOMAIN="kateproject")

target_link_libraries(
    kateprojectplugin
    PRIVATE
        kateprivate
        Qt::Concurrent
        KF6::GuiAddons
        KF6::I18n
        KF6::TextEditor
)

target_sources(
  kateprojectplugin
  PRIVATE
    fileutil.cpp
    kateprojectplugin.cpp
    kateprojectpluginview.cpp
    kateproject.cpp
    kateprojectworker.cpp
    kateprojectitem.cpp
    kateprojectview.cpp
    kateprojectviewtree.cpp
    kateprojecttreeviewcontextmenu.cpp
    kateprojectinfoview.cpp
    kateprojectcompletion.cpp
    kateprojectindex.cpp
    kateprojectinfoviewindex.cpp
    kateprojectinfoviewterminal.cpp
    kateprojectinfoviewcodeanalysis.cpp
    kateprojectinfoviewnotes.cpp
    kateprojectconfigpage.cpp
    kateprojectcodeanalysistool.cpp
    branchesdialog.cpp
    branchcheckoutdialog.cpp
    branchesdialogmodel.cpp
    gitwidget.cpp
    gitstatusmodel.cpp
    gitcommitdialog.cpp
    stashdialog.cpp
    pushpulldialog.cpp
    comparebranchesview.cpp
    branchdeletedialog.cpp
    currentgitbranchbutton.cpp
    project_commands.cpp

    tools/codeanalysisselector.cpp
    git/gitutils.cpp
    git/gitstatus.cpp

    plugin.qrc
)

install(FILES kateproject.example DESTINATION ${KDE_INSTALL_DATADIR}/kateproject)

if (ENABLE_PCH)
    target_precompile_headers(kateprojectplugin REUSE_FROM katepch)
endif()

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

=== apps/kate/CMakeLists.txt ===
--- 
+++ 
@@ -70,7 +70,7 @@
   set(MACOSX_BUNDLE_LONG_VERSION_STRING "Kate ${RELEASE_SERVICE_VERSION}")
   set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}")
   set(MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}")
-  set(MACOSX_BUNDLE_COPYRIGHT "2000-2025 The Kate Authors")
+  set(MACOSX_BUNDLE_COPYRIGHT "2000-2022 The Kate Authors")
 endif()
 
 install(TARGETS kate-bin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== doc/kwrite/CMakeLists.txt ===
kdoctools_create_handbook(
  index.docbook 
  INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en 
  SUBDIR kwrite
)

=== addons/latexunicodecompletion/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)
add_executable(latexcompletion_test testcompletiontable.cpp)
target_include_directories(latexcompletion_test PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/..)
add_test(NAME plugin-latexunicodecompletion_test COMMAND latexcompletion_test)
target_link_libraries(latexcompletion_test Qt::Core Qt::Test)
ecm_mark_as_test(latexcompletion_test)

if(ENABLE_PCH)
    target_precompile_headers(latexcompletion_test REUSE_FROM katepch_tests)
endif()

=== addons/lspclient/tests/CMakeLists.txt ===
add_executable(lsptestapp "")
target_include_directories(lsptestapp PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/..)
target_link_libraries(lsptestapp PRIVATE kateprivate KF6::TextEditor)

target_sources(
  lsptestapp
  PRIVATE
    lsptestapp.cpp
    ../lspclientserver.cpp
    ../lspsemantichighlighting.cpp
    ../semantic_tokens_legend.cpp
    ${DEBUG_SOURCES}
)

if(ENABLE_PCH)
    target_precompile_headers(lsptestapp REUSE_FROM katepch_tests)
endif()

=== addons/project/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

add_executable(projectplugin_test "")
target_include_directories(projectplugin_test PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/..)

find_package(Qt6Test ${QT_MIN_VERSION} QUIET REQUIRED)
target_link_libraries(
  projectplugin_test 
  PRIVATE
    kateprivate
    KF6::I18n
    KF6::TextEditor
    Qt::Test
)

target_sources(
  projectplugin_test 
  PRIVATE
    test1.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../fileutil.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../kateprojectcodeanalysistool.cpp
)

if(ENABLE_PCH)
    target_precompile_headers(projectplugin_test REUSE_FROM katepch_tests)
endif()

add_test(NAME plugin-project_test COMMAND projectplugin_test ${OFFSCREEN_QPA})
ecm_mark_as_test(projectplugin_test)

=== addons/tabswitcher/tests/CMakeLists.txt ===
add_executable(tstestapp "")

target_link_libraries(
  tstestapp 
  PRIVATE KF6::TextEditor kateprivate
)

target_sources(
  tstestapp 
  PRIVATE 
    tstestapp.cpp 
    ../tabswitcherfilesmodel.cpp
)

if(ENABLE_PCH)
    target_precompile_headers(tstestapp REUSE_FROM katepch_tests)
endif()

=== debian/changelog ===
kate (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:11:53 +0000

kate (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:41:32 +0100

=== debian/control ===
Source: kate
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6newstuff-dev (>= 6.0.0~),
               libkf6texteditor-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6userfeedback-dev (>= 6.0.0~),
               libkf6wallet-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-base-private-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qtkeychain-qt6-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://kate-editor.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate

Package: kate
Section: editors
Architecture: any
Depends: kate-data (>= ${source:Version}),
         libkf6texteditor-katepart,
         plasma-desktoptheme,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: sonnet6-plugins,
Suggests: darcs,
          exuberant-ctags,
          git,
          khelpcenter (>=24.05~),
          konsole-kpart (>=24.05~),
          mercurial,
          subversion,
Description: powerful text editor
 Kate is a powerful text editor that can open multiple files simultaneously.
 .
 With a built-in terminal, syntax highlighting, and tabbed sidebar, it performs
 as a lightweight but capable development environment.  Kate's many tools,
 plugins, and scripts make it highly customizable.
 .
 Kate's features include:
 .
  * Multiple saved sessions, each with numerous files
  * Scriptable syntax highlighting, indentation, and code-folding
  * Configurable templates and text snippets
  * Symbol viewers for C, C++, and Python
  * XML completion and validation

Package: kate-data
Architecture: all
Depends: ${misc:Depends},
Breaks: kate5-data,
Replaces: kate5-data,
Description: shared data files for Kate text editor
 This package contains the architecture-independent shared data files needed
 for Kate editor

Package: kwrite
Section: editors
Architecture: any
Depends: libkf6texteditor-katepart, ${misc:Depends}, ${shlibs:Depends},
Description: simple text editor
 KWrite is a simple text editor built on the KDE Platform. It uses the Kate
 editor component, so it supports powerful features such as flexible syntax
 highlighting, automatic indentation, and numerous other text tools.

## kate 25.08.3+p24.04+vunstable+git20251202.1129

=== debian/changelog ===
kate (4:25.08.3+p24.04+vunstable+git20251202.1129-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 11:29:41 +0000

kate (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:36:21 +1000

## kate 25.08.3+p24.04+vunstable+git20251206.0843

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kate VERSION ${RELEASE_SERVICE_VERSION})
@@ -78,7 +78,7 @@
 # deprecation options
 ecm_set_disabled_deprecation_versions(
     QT 6.9
-    KF 6.12.0
+    KF 6.16.0
 )
 
 option(ENABLE_PCH "Enable PCH support" ON)

=== addons/gdbplugin/CMakeLists.txt ===
# Hasn't been ported to Windows yet.

kate_add_plugin(kategdbplugin)
target_compile_definitions(kategdbplugin PRIVATE TRANSLATION_DOMAIN="kategdbplugin")
target_link_libraries(kategdbplugin PRIVATE kateprivate KF6::I18n KF6::TextEditor KF6::KIOGui)

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(
    DEBUG_SOURCES
    HEADER dapclient_debug.h
    IDENTIFIER DAPCLIENT
    CATEGORY_NAME "kategdbplugin"
)

ki18n_wrap_ui(kategdbplugin debugconfig.ui)

set(DAP_SOURCES
    dap/bus.cpp
    dap/socketbus.cpp
    dap/processbus.cpp
    dap/client.cpp
    dap/entities.cpp
    dap/messages.h
    dap/settings.cpp
    dap/socketprocessbus.cpp
    dap/bus_selector.cpp
)

target_sources(
  kategdbplugin
  PRIVATE
    plugin_kategdb.cpp
    backendinterface.cpp
    configview.cpp
    ioview.cpp
    localsview.cpp
    debugconfigpage.cpp
    stackframe_model.cpp
    stackview.cpp

    ${DAP_SOURCES}
    ${DEBUG_SOURCES}
    json_placeholders.cpp
    dapbackend.cpp
    backend.cpp
    launch_json_reader.cpp

    plugin.qrc 
)

if (ENABLE_PCH)
    target_precompile_headers(kategdbplugin REUSE_FROM katepch)
endif()

=== addons/git-blame/CMakeLists.txt ===
kate_add_plugin(kategitblameplugin)
target_compile_definitions(kategitblameplugin PRIVATE TRANSLATION_DOMAIN="kategitblameplugin")
target_link_libraries(kategitblameplugin PRIVATE kateprivate KF6::I18n KF6::TextEditor)

target_sources(
  kategitblameplugin
  PRIVATE
    kategitblameplugin.cpp
    gitblametooltip.cpp
    gitblameparser.cpp
    plugin.qrc
)

if(BUILD_TESTING)
  add_subdirectory(test)
endif()

if (ENABLE_PCH)
    target_precompile_headers(kategitblameplugin REUSE_FROM katepch)
endif()

=== addons/rainbow-parens/CMakeLists.txt ===
kate_add_plugin(rainbowparens)
target_compile_definitions(rainbowparens PRIVATE TRANSLATION_DOMAIN="rainbowparens")
target_link_libraries(rainbowparens PRIVATE KF6::TextEditor KF6::I18n)

target_sources(
  rainbowparens
  PRIVATE
    rainbowparens_plugin.cpp
)

if (ENABLE_PCH)
    target_precompile_headers(rainbowparens REUSE_FROM katepch)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== addons/git-blame/test/CMakeLists.txt ===
include(ECMMarkAsTest)

add_executable(test_gitblameparsing "")
target_include_directories(test_gitblameparsing PRIVATE ${CMAKE_CURRENT_LIST_DIR}/..)

find_package(Qt6Test ${QT_MIN_VERSION} QUIET REQUIRED)
target_link_libraries(
  test_gitblameparsing
  PRIVATE
    kateprivate
    KF6::TextEditor
    KF6::I18n
    Qt::Test
)

target_sources(
  test_gitblameparsing
  PRIVATE
    ../gitblameparser.cpp
    gitblametest.cpp
    testfiles.qrc
)

if(ENABLE_PCH)
    target_precompile_headers(test_gitblameparsing REUSE_FROM katepch_tests)
endif()

add_test(NAME kateapp-test_gitblameparsing COMMAND test_gitblameparsing ${OFFSCREEN_QPA})
ecm_mark_as_test(test_gitblameparsing)

=== debian/changelog ===
kate (4:25.08.3+p24.04+vunstable+git20251206.0843-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:43:22 +0000

## kate 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kate VERSION ${RELEASE_SERVICE_VERSION})

=== addons/CMakeLists.txt ===
function (kate_add_plugin name)
kcoreaddons_add_plugin(${name} INSTALL_NAMESPACE "kf6/ktexteditor")
endfunction()

ecm_optional_add_subdirectory(backtracebrowser)
ecm_optional_add_subdirectory(close-except-like) # Close all documents except this one (or similar).
ecm_optional_add_subdirectory(colorpicker) # Inline color preview/picker
ecm_optional_add_subdirectory(compiler-explorer)
ecm_optional_add_subdirectory(externaltools)
ecm_optional_add_subdirectory(filebrowser)
ecm_optional_add_subdirectory(filetree)
ecm_optional_add_subdirectory(gdbplugin)
ecm_optional_add_subdirectory(git-blame) # Inline git-blame viewer
ecm_optional_add_subdirectory(kate-ctags)
ecm_optional_add_subdirectory(katebuild-plugin)
ecm_optional_add_subdirectory(katesql)
ecm_optional_add_subdirectory(konsole)
ecm_optional_add_subdirectory(latexunicodecompletion)
ecm_optional_add_subdirectory(lspclient) # Language Server Protocol (LSP) client plugin.
ecm_optional_add_subdirectory(preview) # Live preview of sources in target format.
ecm_optional_add_subdirectory(project) # Small & smart project manager.
ecm_optional_add_subdirectory(rainbow-parens) # Colored brackets for readability
ecm_optional_add_subdirectory(replicode)
ecm_optional_add_subdirectory(search)
ecm_optional_add_subdirectory(snippets)
ecm_optional_add_subdirectory(symbolviewer) # List symbols and functions in a file.
ecm_optional_add_subdirectory(tabswitcher) # ALT+Tab like tab switcher.
ecm_optional_add_subdirectory(template) # Create files from templates.
ecm_optional_add_subdirectory(textfilter) # Pipe text through some external command.
ecm_optional_add_subdirectory(xmlcheck) # XML Validation plugin
ecm_optional_add_subdirectory(xmltools) # XML completion
ecm_optional_add_subdirectory(cmake-tools)
ecm_optional_add_subdirectory(keyboardmacros)
ecm_optional_add_subdirectory(format)
ecm_optional_add_subdirectory(eslint)
ecm_optional_add_subdirectory(openlink)
ecm_optional_add_subdirectory(rbql)
ecm_optional_add_subdirectory(bookmarks)
ecm_optional_add_subdirectory(kategpgplugin) # Adds transparent editing of GPG encrypted files.

=== addons/close-except-like/CMakeLists.txt ===
kate_add_plugin(katecloseexceptplugin)
target_compile_definitions(katecloseexceptplugin PRIVATE TRANSLATION_DOMAIN="katecloseexceptplugin")

target_link_libraries(
  katecloseexceptplugin
  PRIVATE
    KF6::I18n
    KF6::TextEditor
)

ki18n_wrap_ui(katecloseexceptplugin close_confirm_dialog.ui)
target_sources(
  katecloseexceptplugin
  PRIVATE
    close_confirm_dialog.cpp
    close_except_plugin.cpp
    plugin.qrc
)

if (ENABLE_PCH)
    target_precompile_headers(katecloseexceptplugin REUSE_FROM katepch)
endif()

=== addons/git-blame/CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,6 @@
     plugin.qrc
 )
 
-if(BUILD_TESTING)
-  add_subdirectory(test)
-endif()
-
 if (ENABLE_PCH)
     target_precompile_headers(kategitblameplugin REUSE_FROM katepch)
 endif()

=== addons/katebuild-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
     TargetFilterProxyModel.cpp
     AppOutput.cpp
     buildconfig.cpp
+    StatusOverlay.cpp
     plugin.qrc
     qcmakefileapi.cpp
     ${DEBUG_SOURCES}

=== addons/kategpgplugin/CMakeLists.txt ===
find_package(Gpgmepp QUIET)
find_library(GPGMEPP_LIBRARY gpgmepp QUIET)
# With this order we successfully skip the build when gpgmepp(.lib) was not found
if(NOT Gpgmepp_FOUND OR NOT GPGMEPP_LIBRARY)
    message(WARNING "Gpgmepp library not found. GPG plugin build will be skipped!")
    # Do not add target for this plugin
    set(SKIP_KATEGPGPLUGIN TRUE PARENT_SCOPE)
    return()
else()
    message(STATUS "GpgmeppLibrary found: ${GPGMEPP_LIBRARY}")
    kate_add_plugin(kategpgplugin)
    target_compile_definitions(kategpgplugin PRIVATE TRANSLATION_DOMAIN="kategpgplugin")

    target_link_libraries(
	    kategpgplugin
	    PRIVATE
	    kateprivate
	    KF6::CoreAddons
	    KF6::I18n
	    KF6::TextEditor
            ${GPGMEPP_LIBRARY}
    )

    target_sources(
        kategpgplugin
        PRIVATE
        kategpgplugin.hpp
        gpgkeydetails.hpp
        gpgmeppwrapper.hpp
        kategpgplugin.cpp
        gpgkeydetails.cpp
        gpgmeppwrapper.cpp
    )

    if (ENABLE_PCH)
        target_precompile_headers(kategpgplugin REUSE_FROM katepch)
    endif()
endif()

=== addons/rainbow-parens/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,3 @@
 if (ENABLE_PCH)
     target_precompile_headers(rainbowparens REUSE_FROM katepch)
 endif()
-
-if (BUILD_TESTING)
-    add_subdirectory(autotests)
-endif()

=== apps/kate/CMakeLists.txt ===
--- 
+++ 
@@ -56,9 +56,11 @@
 
 # See https://cmake.org/cmake/help/v3.15/prop_tgt/MACOSX_BUNDLE_INFO_PLIST.html
 if(APPLE)
+  # we need to copy the file to avoid issues with duplicate generation targets
+  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/../lib/data/MacOSXBundleInfo.plist.in ${CMAKE_CURRENT_BINARY_DIR}/plist.in COPYONLY)
   set_property(
     TARGET kate-bin
-    PROPERTY MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/data/MacOSXBundleInfo.plist.in
+    PROPERTY MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_BINARY_DIR}/plist.in
   )
 
   # These are substituted by CMake into plist.in.
@@ -70,7 +72,7 @@
   set(MACOSX_BUNDLE_LONG_VERSION_STRING "Kate ${RELEASE_SERVICE_VERSION}")
   set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}")
   set(MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}")
-  set(MACOSX_BUNDLE_COPYRIGHT "2000-2022 The Kate Authors")
+  set(MACOSX_BUNDLE_COPYRIGHT "2000-2025 The Kate Authors")
 endif()
 
 install(TARGETS kate-bin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== apps/kwrite/CMakeLists.txt ===
--- 
+++ 
@@ -28,9 +28,11 @@
 
 # See https://cmake.org/cmake/help/v3.15/prop_tgt/MACOSX_BUNDLE_INFO_PLIST.html
 if(APPLE)
+  # we need to copy the file to avoid issues with duplicate generation targets
+  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/../lib/data/MacOSXBundleInfo.plist.in ${CMAKE_CURRENT_BINARY_DIR}/plist.in COPYONLY)
   set_property(
     TARGET kwrite
-    PROPERTY MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/data/MacOSXBundleInfo.plist.in
+    PROPERTY MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_BINARY_DIR}/plist.in
   )
 
   # These are substituted by CMake into plist.in.

=== apps/lib/CMakeLists.txt ===
# Kate shared library, used by Kate/KWrite and the addons
add_library(kateprivate SHARED "")
set_target_properties(kateprivate PROPERTIES VERSION ${RELEASE_SERVICE_VERSION})
install(TARGETS kateprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

# ensure right translations domain, we use one kate.po(t) for lib + apps
target_compile_definitions(kateprivate PRIVATE TRANSLATION_DOMAIN="kate")

# export version to be used by Kate/KWrite/...
target_compile_definitions(kateprivate PUBLIC KATE_VERSION="${RELEASE_SERVICE_VERSION}")

include(GenerateExportHeader)
generate_export_header(
  kateprivate
  EXPORT_FILE_NAME kateprivate_export.h
  EXPORT_MACRO_NAME KATE_PRIVATE_EXPORT
)

target_include_directories(
  kateprivate
  PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/session
    ${CMAKE_CURRENT_SOURCE_DIR}/quickopen
    ${CMAKE_CURRENT_SOURCE_DIR}/diff
    ${CMAKE_CURRENT_BINARY_DIR} # kateprivate_export.h
)

target_include_directories(
  kateprivate
  SYSTEM PUBLIC
    ${CMAKE_SOURCE_DIR}/3rdparty
)

find_package(
  KF6 ${KF6_DEP_VERSION}
  QUIET
  REQUIRED
  COMPONENTS
    Crash
    IconThemes
    WindowSystem
    WidgetsAddons
)

target_link_libraries(
  kateprivate
  PUBLIC
    KF6::CoreAddons
    KF6::Crash
    KF6::I18n
    KF6::IconThemes
    KF6::TextEditor
    KF6::WindowSystem
    KF6::KIOGui
    KF6::KIOWidgets
    KF6::WidgetsAddons
)

if (NOT WIN32 AND NOT HAIKU)
    target_compile_definitions(kateprivate PRIVATE -DKDE_INSTALL_FULL_LOCALEDIR=\"${KDE_INSTALL_FULL_LOCALEDIR}\")
    target_include_directories(kateprivate PRIVATE ${Intl_INCLUDE_DIRS})
    target_link_libraries(kateprivate PRIVATE ${Intl_LIBRARIES})
endif()

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    set(WITH_DBUS TRUE PARENT_SCOPE)
    find_package(KF6DBusAddons ${KF6_DEP_VERSION} REQUIRED)
    target_compile_definitions(kateprivate PUBLIC -DWITH_DBUS)
    target_link_libraries(kateprivate PUBLIC KF6::DBusAddons)
    target_sources(
        kateprivate
        PRIVATE
        kateappadaptor.cpp
        katerunninginstanceinfo.cpp
    )
endif()

# optional KUserFeedback integration
find_package(KF6UserFeedback ${KF6_DEP_VERSION} CONFIG)

if (TARGET KF6::UserFeedbackWidgets)
    target_link_libraries(kateprivate PUBLIC KF6::UserFeedbackWidgets)
    target_compile_definitions(kateprivate PUBLIC -DWITH_KUSERFEEDBACK)
endif()

# terminal detection & malloc_trim for memory release
include(CheckFunctionExists)
check_function_exists(ctermid HAVE_CTERMID)
check_function_exists(malloc_trim HAVE_MALLOC_TRIM)
if(HAVE_CTERMID)
  target_compile_definitions(kateprivate PRIVATE HAVE_CTERMID)
  endif()
if(HAVE_MALLOC_TRIM)
    target_compile_definitions(kateprivate PRIVATE HAVE_MALLOC_TRIM)
endif()

# detaching from terminal
check_function_exists(daemon HAVE_DAEMON)
if(HAVE_DAEMON)
  target_compile_definitions(kateprivate PRIVATE HAVE_DAEMON)
endif()

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(
    LIB_KATE_TIME_SOURCES
    HEADER kate_timings_debug.h
    IDENTIFIER LibKateTime
    CATEGORY_NAME "libkate.time"
    DEFAULT_SEVERITY Warning
)

ki18n_wrap_ui(kateprivate ui/sessionconfigwidget.ui welcomeview/welcomeview.ui session/katesessionmanagedialog.ui)

target_sources(
  kateprivate
  PRIVATE
    session/katesession.cpp
    session/katesessionmanagedialog.cpp
    session/katesessionmanager.cpp
    session/katesessionsaction.cpp

    quickopen/katequickopen.cpp
    quickopen/katequickopenmodel.cpp
    quickopen/katequickopenlineedit.cpp

    kateapp.cpp
    kateconfigdialog.cpp
    kateconfigplugindialogpage.cpp
    katedocmanager.cpp
    katefileactions.cpp
    katemainwindow.cpp
    katemdi.cpp
    katemwmodonhddialog.cpp
    katepluginmanager.cpp
    mainwindow_commands.cpp

    katesavemodifieddialog.cpp
    katetabbar.cpp
    katesplitter.cpp
    kateviewmanager.cpp
    kateviewspace.cpp
    tabmimedata.cpp

    kateoutputview.cpp
    katestashmanager.cpp
    diagnostics/diagnosticview.cpp
    diagnostics/diagnosticview.qrc
    texthint/KateTextHintManager.cpp
    texthint/tooltip.cpp
    texthint/hintview.cpp
    texthint/hintstate.cpp

    kateurlbar.cpp

    gitprocess.cpp
    quickdialog.cpp
    ktexteditor_utils.cpp
    exec_utils.cpp

    data/kateprivate.qrc
    hostprocess.cpp

    diff/diffwidget.cpp
    diff/diffeditor.cpp
    diff/difflinenumarea.cpp
    diff/gitdiff.cpp

    filehistorywidget.cpp
    commitfilesview.cpp

    welcomeview/welcomeview.cpp
    welcomeview/recentitemsmodel.cpp
    welcomeview/savedsessionsmodel.cpp
    ${LIB_KATE_TIME_SOURCES}
)

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(
    LIB_KATE_EXEC_SOURCES
    HEADER kate_exec_debug.h
    IDENTIFIER LibKateExec
    CATEGORY_NAME "libkate.exec"
    DEFAULT_SEVERITY Info
)

# use a helper lib so only this part can be used elsewhere without bringing in all else
add_library(executils OBJECT
    exec_io_utils.cpp
    ${LIB_KATE_EXEC_SOURCES}
)
target_include_directories(executils
    PUBLIC
    ${CMAKE_CURRENT_BINARY_DIR} # -> kateprivate_export.h
)
target_link_libraries(
  executils
  PUBLIC
    KF6::CoreAddons
)
# cmake should figure this out, but apparently not always
if (UNIX)
    target_compile_options(
        executils PRIVATE -fPIC)
endif ()

target_link_libraries(kateprivate PRIVATE executils)

install(
  PROGRAMS exec_inspect.sh
  TYPE BIN
)

if (ENABLE_PCH)
    target_precompile_headers(kateprivate REUSE_FROM katepch)
endif()

add_subdirectory(io)

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

=== addons/git-blame/test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(test-blame VERSION 0.1 LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")

find_package(Qt6 REQUIRED COMPONENTS Core Test)
find_package(ECM REQUIRED COMPONENTS I18n)
# We append to the module path so modules can be overridden from the command line.
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
find_package(KF6 REQUIRED COMPONENTS I18n)

set(PROJECT_SOURCES
    ../gitblameparser.cpp
    gitblametest.cpp
    testfiles.qrc
)

qt_add_executable(${PROJECT_NAME} ${PROJECT_SOURCES})

target_link_libraries(${PROJECT_NAME} PRIVATE Qt6::Core Qt6::Test KF6::I18n)

enable_testing(true)

add_test(NAME ${PROJECT_NAME} COMMAND ${PROJECT_NAME})

=== addons/tabswitcher/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

add_executable(tabswitcher_test "")
target_include_directories(tabswitcher_test PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/..)

find_package(Qt6Test ${QT_MIN_VERSION} QUIET REQUIRED)
target_link_libraries(
  tabswitcher_test 
  PRIVATE
    KF6::TextEditor
    kateprivate
    Qt::Test
)

target_sources(
  tabswitcher_test 
  PRIVATE 
    tabswitchertest.cpp 
    ../tabswitcherfilesmodel.cpp
)

if(ENABLE_PCH)
    target_precompile_headers(tabswitcher_test REUSE_FROM katepch_tests)
endif()

add_test(NAME plugin-tabswitcher_test COMMAND tabswitcher_test ${OFFSCREEN_QPA})
ecm_mark_as_test(tabswitcher_test)

=== debian/changelog ===
kate (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:50:21 +0000

## kate 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kate VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kate (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:01:20 +0000

## kate 25.12.0

=== debian/changelog ===
kate (4:25.12.0-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:21:24 +0000

kate (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:32:15 +1000

## kate 25.12.0+p24.04+vstable+git20260102.1226

=== debian/changelog ===
kate (4:25.12.0+p24.04+vstable+git20260102.1226-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:26:17 +0000

## kate 25.12.0+p24.04+vunstable+git20260104.0341

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kate VERSION ${RELEASE_SERVICE_VERSION})
@@ -86,6 +86,17 @@
     add_subdirectory(pch)
 endif()
 
+option(WARNINGS_AS_ERRORS "Warnings are errors -Werror" OFF)
+if (WARNINGS_AS_ERRORS)
+    if (MSVC)
+        add_compile_options(/WX)
+        add_compile_options(/wd4996)
+    else()
+        add_compile_options(-Werror)
+        add_compile_options(-Wno-error=deprecated-declarations)
+    endif()
+endif()
+
 # addons for Kate
 ecm_optional_add_subdirectory(addons)

=== addons/bookmarks/CMakeLists.txt ===
kate_add_plugin(bookmarksplugin)
target_compile_definitions(bookmarksplugin PRIVATE TRANSLATION_DOMAIN="katebookmarksplugin")
target_link_libraries(bookmarksplugin PRIVATE kateprivate KF6::I18n KF6::TextEditor)

target_sources(
  bookmarksplugin
  PRIVATE
    bookmarksplugin.cpp
    bookmarksmodel.cpp
)

if (ENABLE_PCH)
    target_precompile_headers(bookmarksplugin REUSE_FROM katepch)
endif()

=== apps/lib/CMakeLists.txt ===
--- 
+++ 
@@ -117,6 +117,15 @@
     DEFAULT_SEVERITY Warning
 )
 
+include(ECMQtDeclareLoggingCategory)
+ecm_qt_declare_logging_category(
+    LIB_KATE_EXEC_SOURCES
+    HEADER kate_exec_debug.h
+    IDENTIFIER LibKateExec
+    CATEGORY_NAME "libkate.exec"
+    DEFAULT_SEVERITY Info
+)
+
 ki18n_wrap_ui(kateprivate ui/sessionconfigwidget.ui welcomeview/welcomeview.ui session/katesessionmanagedialog.ui)
 
 target_sources(
@@ -179,39 +188,11 @@
     welcomeview/welcomeview.cpp
     welcomeview/recentitemsmodel.cpp
     welcomeview/savedsessionsmodel.cpp
+
+    exec_io_utils.cpp
     ${LIB_KATE_TIME_SOURCES}
-)
-
-include(ECMQtDeclareLoggingCategory)
-ecm_qt_declare_logging_category(
-    LIB_KATE_EXEC_SOURCES
-    HEADER kate_exec_debug.h
-    IDENTIFIER LibKateExec
-    CATEGORY_NAME "libkate.exec"
-    DEFAULT_SEVERITY Info
-)
-
-# use a helper lib so only this part can be used elsewhere without bringing in all else
-add_library(executils OBJECT
-    exec_io_utils.cpp
     ${LIB_KATE_EXEC_SOURCES}
 )
-target_include_directories(executils
-    PUBLIC
-    ${CMAKE_CURRENT_BINARY_DIR} # -> kateprivate_export.h
-)
-target_link_libraries(
-  executils
-  PUBLIC
-    KF6::CoreAddons
-)
-# cmake should figure this out, but apparently not always
-if (UNIX)
-    target_compile_options(
-        executils PRIVATE -fPIC)
-endif ()
-
-target_link_libraries(kateprivate PRIVATE executils)
 
 install(
   PROGRAMS exec_inspect.sh

## kate 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kate VERSION ${RELEASE_SERVICE_VERSION})
@@ -86,17 +86,6 @@
     add_subdirectory(pch)
 endif()
 
-option(WARNINGS_AS_ERRORS "Warnings are errors -Werror" OFF)
-if (WARNINGS_AS_ERRORS)
-    if (MSVC)
-        add_compile_options(/WX)
-        add_compile_options(/wd4996)
-    else()
-        add_compile_options(-Werror)
-        add_compile_options(-Wno-error=deprecated-declarations)
-    endif()
-endif()
-
 # addons for Kate
 ecm_optional_add_subdirectory(addons)

=== debian/changelog ===
kate (4:25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Jan 2026 09:35:06 +0000

kate (4:25.12.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (25.12.1).
  * Bump Standards-Version to 4.7.3 (No changes needed).
  * Remove patches that have been applied upstream.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 11 Jan 2026 00:39:53 +0100

kate (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:59:51 +0000

kate (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:16:50 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libkf6config-dev (>= 6.0.0~),
@@ -31,7 +31,7 @@
                qtkeychain-qt6-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Homepage: https://kate-editor.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate

## kate 25.12.1+p24.04+vstable+git20260130.1130

=== debian/changelog ===
kate (4:25.12.1+p24.04+vstable+git20260130.1130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 11:30:53 +0000

kate (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:21:23 +1000

## kate 25.12.1+p24.04+vstable+git20260201.0223

=== debian/changelog ===
kate (4:25.12.1+p24.04+vstable+git20260201.0223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:23:21 +0000

## kate 25.12.1+p24.04+vstable+git20260203.0850

=== debian/changelog ===
kate (4:25.12.1+p24.04+vstable+git20260203.0850-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 08:50:55 +0000
